minetest.register_node("loria:viridi_petasum_stem", {description = "Viridi petasum stem", groups = {choppy = 2}, tiles = {"loria_viridi_petasum_stem.png"}})
minetest.register_node("loria:viridi_petasum_body", {description = "Viridi petasum body", groups = {choppy = 2, crumbly = 1, leaves = 1}, light_source = 3, tiles = {"loria_viridi_petasum_body.png"}})
minetest.register_node("loria:colossus_stem", {description = "Colossus stem", groups = {cracky = 2}, tiles = {"loria_colossus_stem.png"}})
minetest.register_node("loria:colossus_body", {description = "Colossus body", groups = {cracky = 2}, tiles = {"loria_colossus_body.png"}})
minetest.register_node("loria:altitudo_stem", {description = "Altitudo stem", groups = {cracky = 1}, tiles = {"loria_altitudo_stem.png"}})
minetest.register_node("loria:altitudo_body", {description = "Altitudo body", groups = {cracky = 1}, tiles = {"loria_altitudo_body.png"}})
minetest.register_node("loria:timor_stem", {description = "Timor stem", groups = {cracky = 2}, tiles = {"loria_timor_stem_slice.png", "loria_timor_stem_slice.png", "loria_timor_stem.png", "loria_timor_stem.png", "loria_timor_stem.png", "loria_timor_stem.png"}})
for idx, name in ipairs(timor["body-names"]) do
  minetest.register_node(("loria:timor_body_" .. idx), {description = string.format("Timor body (%s)", name), groups = {cracky = 2}, tiles = {string.format("loria_timor_body_%d.png", idx)}})
end
minetest.register_alias("loria:timor_body", "loria:timor_body_1")
local timor_cids = map(minetest.get_content_id, timor["body-nodes"])
local function _0_()
  local idx = math.random(1, timor.colours)
  return timor_cids[idx]
end
randtimor = _0_
minetest.register_node("loria:turris_stem", {description = "Turris stem", groups = {choppy = 2}, tiles = {"loria_turris_stem.png"}})
minetest.register_node("loria:turris_body", {description = "Turris body", groups = {choppy = 2}, tiles = {"loria_turris_body.png"}})
minetest.register_node("loria:rete_stem", {description = "Rete stem", groups = {choppy = 2}, tiles = {"loria_rete_stem.png"}})
return minetest.register_node("loria:rete_body", {description = "Rete body", groups = {choppy = 2, crumbly = 1, leaves = 1}, tiles = {"loria_rete_body.png"}})
